Bug 1164036 - Excon::Errors::Conflict]: Expected([200, 202]) <=> Actual(409 Conflict) with 2 security groups of the same name in the same tenant
Summary: Excon::Errors::Conflict]: Expected([200, 202]) <=> Actual(409 Conflict) with ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate
Version: 5.3.0
Hardware: All
OS: All
unspecified
medium
Target Milestone: GA
: 5.3.2
Assignee: Brandon Dunne
QA Contact: Nandini Chandra
URL:
Whiteboard:
Depends On: 1161322
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-11-14 00:16 UTC by Dave Johnson
Modified: 2015-03-23 14:52 UTC (History)
8 users (show)

Fixed In Version: 5.3.2
Doc Type: Bug Fix
Doc Text:
Openstack allows you to create multiple security groups with the same name, but provisioning with CFME fails when selecting one of the security groups with the same name. CFME now uses Security Group ems_ref instead of name since that is guaranteed unique. Provisioning succeeds as expected.
Clone Of: 1161322
Environment:
Last Closed: 2015-01-14 19:43:33 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0028 normal SHIPPED_LIVE Important: cfme security, bug fix, and enhancement update 2015-01-15 00:41:27 UTC

Comment 1 Brandon Dunne 2014-11-17 14:45:54 UTC
New commit detected on manageiq/master:
https://github.com/ManageIQ/manageiq/commit/bb3f05e767964e558591517c7b8cff7d4452f5dc

commit bb3f05e767964e558591517c7b8cff7d4452f5dc
Author:     Brandon Dunne <bdunne@redhat.com>
AuthorDate: Fri Nov 14 13:57:27 2014 -0500
Commit:     Brandon Dunne <bdunne@redhat.com>
CommitDate: Fri Nov 14 14:21:08 2014 -0500

    Update and simplify spec
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1161322

 vmdb/spec/models/miq_provision_openstack_spec.rb | 20 +++++++++-----------
 1 file changed, 9 insertions(+), 11 deletions(-)

New commit detected on manageiq/master:
https://github.com/ManageIQ/manageiq/commit/3f6691350a2445649ec322278a069e26b54613ec

commit 3f6691350a2445649ec322278a069e26b54613ec
Author:     Brandon Dunne <bdunne@redhat.com>
AuthorDate: Fri Nov 14 14:02:03 2014 -0500
Commit:     Brandon Dunne <bdunne@redhat.com>
CommitDate: Fri Nov 14 14:21:08 2014 -0500

    [Openstack][provisioning] use Security Group ems_ref instead of name
    
    Openstack allows you to create multiple security groups with the same name
    If you attempt provisioning by name and there are multiple matches,
    you will will receive an API error (HTTP 409 or 500).  Using the ems_ref
    is guaranteed unique.  We display the name and description in the dialog,
    so no further changes are required
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1161322

 vmdb/app/models/miq_provision_openstack/cloning.rb |  2 +-
 vmdb/spec/models/miq_provision_openstack_spec.rb   | 10 +++++-----
 2 files changed, 6 insertions(+), 6 deletions(-)

New commit detected on cfme/5.3.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=6fc7a2681c9ae923c56523c00466010de658bbb2

commit 6fc7a2681c9ae923c56523c00466010de658bbb2
Author:     Brandon Dunne <bdunne@redhat.com>
AuthorDate: Fri Nov 14 13:57:27 2014 -0500
Commit:     Brandon Dunne <bdunne@redhat.com>
CommitDate: Mon Nov 17 09:33:27 2014 -0500

    Update and simplify spec
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1161322

 vmdb/spec/models/miq_provision_openstack_spec.rb | 20 +++++++++-----------
 1 file changed, 9 insertions(+), 11 deletions(-)

New commit detected on cfme/5.3.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=f71ea3839c99c92de8516e90f5b5427b6331ed55

commit f71ea3839c99c92de8516e90f5b5427b6331ed55
Author:     Brandon Dunne <bdunne@redhat.com>
AuthorDate: Fri Nov 14 14:02:03 2014 -0500
Commit:     Brandon Dunne <bdunne@redhat.com>
CommitDate: Mon Nov 17 09:33:42 2014 -0500

    [Openstack][provisioning] use Security Group ems_ref instead of name
    
    Openstack allows you to create multiple security groups with the same name
    If you attempt provisioning by name and there are multiple matches,
    you will will receive an API error (HTTP 409 or 500).  Using the ems_ref
    is guaranteed unique.  We display the name and description in the dialog,
    so no further changes are required
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1161322

 vmdb/app/models/miq_provision_openstack/cloning.rb |  2 +-
 vmdb/spec/models/miq_provision_openstack_spec.rb   | 10 +++++-----
 2 files changed, 6 insertions(+), 6 deletions(-)

Comment 3 Nandini Chandra 2015-01-07 17:16:55 UTC
Verified in 5.3.2.5

In a RHOS setup with 2 security groups of the same name in the same tenant, a RHOS VM can now be successfully provisioned using one of the security groups.

Comment 5 errata-xmlrpc 2015-01-14 19:43:33 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0028.html


Note You need to log in before you can comment on or make changes to this bug.